<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<!-- External CSS Link -->
	<link rel="stylesheet" type="text/css" href="./index.css">
	<title>CSS Styling Properties & Positioning</title>
</head>
<body>
	<h2>CSS Common Styling</h2>

	<!-- Display Properties -->
	<div id="div-1">
		This is div
	</div>
	<span id="span-1">This is a span</span>
	<img src="https://place-puppy.com/450x450" id="img">
	<span id="span-2">This is another span</span>
	<div id="div-2">This is another div</div>

	<h3>Notes in BLock, Inline & Inline-Block </h3>
	<p id="p-1">
		Block takes up the whole width by default
	</p>
	<p id="p-2">width 60</p>
	<p id="p-3">width 40</p>

	<p>Even there is enough space, block elements do not sit next to each other unless if they are floated.</p>

	<p>Inline elements are thins linke bold & italics. You cannot control the hight & width of these elements.</p>

	<div class="sample">width = 30</div>
	<div class="sample">width = 30</div>
	<div class="sample">width = 30</div>

	<hr>

	<h3>FLoat</h3>
	<p>
		The FLoat Property is used for positioning and formatting content e.g. let an image float left to the text in the container.
	</p>

	<p id="float-parent">
		<img src="https://place-puppy.com/450x450" class="img-float">
		Lorem ipsum dolor sit amet consectetur adipisicing elit. Cum provident reiciendis nam, beatae aspernatur voluptates et soluta expedita, atque vel laudantium nostrum, placeat. Iure fuga quo numquam vel corporis eaque!
		
		Lorem, ipsum dolor, sit amet consectetur adipisicing elit. Dolorum, error hic repudiandae exercitationem ratione sapiente aspernatur natus consectetur cum odit illum consequatur veniam quis numquam, cumque pariatur ipsam maiores reprehenderit.

		Lorem ipsum, dolor sit amet consectetur adipisicing elit. Dolorem voluptates ullam natus debitis laudantium harum officia earum. Architecto nisi consequatur suscipit! Recusandae, voluptates possimus atque dolorum repellendus consectetur, architecto facilis.
	</p>

	<!-- CSS Units -->
	<hr>
	<h3>CSS Units</h3>
	<h4>PX vs %</h4>
	<div class="box fifty-percent">50%</div>
	<div class="box one-hundred-pixels">100px</div>
	<br>

	<div class="box fifty-vw"> 50vw</div>
	<div class="box twenty-five-vh">25vh</div>

	<!-- root element px = 1rem -->
	<!-- parent element px = 1em -->
	<div>16px</div>
	<div class="one-rem">1rem</div>
	<div class="one-em">1em</div>
	<div class="two-rem">2rem</div>
	<div class="two-em"2em>2em</div>
	<div class="two-hundred-percent">200%</div>

	<div class="parent">
		<div class="box fifty-percent">50%</div>
		<div class="box one-hundred-pixels">100px</div>

		<div class="box fifty-vw"> 50vw</div>
		<div class="box twenty-five-vh">25vh</div>

		<!-- root element px = 1rem -->
		<!-- parent element px = 1em -->
		<div>16px</div>
		<div class="one-rem">1rem</div>
		<div class="one-em">1em</div>
		<div class="two-rem">2rem</div>
		<div class="two-em"2em>2em</div>
		<div class="two-hundred-percent">200%</div>
	</div>


	<!-- CSS Background Property -->
	<hr>
	<section class="background">
		<div class="container-bg"> 
			<h3 class="bg-title">Background Properties</h3>
		</div>
	</section>


	<!-- CSS Positioning -->
	<hr>
	<div class="parent-element">
		Parent Element
		<div class="child-1">
			I'm the child one element
		</div>

		<div class="child-2">
			All eyes on me. I am the Child two element.
		</div>

		<div class="child-3">
			I'm the child three element.
		</div>
	</div>

</body>
</html>